.is-pc {
    display: block;
}

.is-pe {
    display: none;
}

a:hover{
    color: #000;
}

.ok-action {
    text-align: center;
    letter-spacing: 0em;
    background: #FFEBD3;
    font-family: HarmonyOS Sans;
    word-wrap: break-word;
    /* text-wrap: pretty; */
    padding-bottom: 230px;
    overflow: hidden;
}

.large-width {
    width: 1200px;
    margin: 0 auto;
}

.medium-width {
    width: 950px;
    margin: 0 auto;
}

/* base style */
.ok-action img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.ok-action h2,
.ok-action h4,
.ok-action h6 {
    margin-bottom: 0;
}

.ok-action p {
    margin-bottom: 0;
}

/* banner */
.ok-action-banner {
    height: 940px;
    background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/banner-pc.jpg') no-repeat center center;
    background-size: cover;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.ok-action-banner h2 {
    color: #000;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.ok-action-banner p {
    color: #404040;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 26px;
    margin-top: 50px;
    padding-bottom: 77px;
}

/* progress */
.ok-action-progress {
    padding-top: 81px;
    padding-bottom: 100px;
}

.ok-action-progress>div {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.ok-action-progress .progress-item {
    position: relative;
}

.ok-action-progress .progress-item::after {
    content: '';
    position: absolute;
    left: calc(100% + 9px);
    top: 57px;
    width: 144px;
    height: 2px;
    background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/line-start.png') no-repeat center center;
    background-size: cover;
}

.ok-action-progress .progress-item:nth-child(1)::after {
    background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/line-ing.png') no-repeat center center;
    background-size: cover;
}

.ok-action-progress .progress-item:nth-child(2)::after{
    display: none;
}

.ok-action-progress .progress-item:nth-child(3)::after{
    background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/line-end.png') no-repeat center center;
    background-size: cover;
}

.ok-action-progress .progress-item:last-child::after {
    display: none;
}

.ok-action-progress .progress-item img {
    width: 116px;
    height: 116px;
}

.ok-action-progress .progress-item-content {
    position: absolute;
    left: 0;
    right: 0;
    bottom: -100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.ok-action-progress .progress-item-content h6 {
    white-space: nowrap;
    color: #000;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.ok-action-progress .progress-item-content p {
    color: #404040;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 23px;
}

/* ok-action-content */
.ok-action-content {
    padding-top: 130px;
}

.ok-action-content .nav {
    --bs-nav-pills-border-radius: 100px;
    --bs-nav-link-color: #000;
    --bs-nav-link-hover-color: #000;
    --bs-nav-link-padding-x: 0;
    --bs-nav-link-padding-y: 0;

    width: calc(100% - 8px);
    height: 80px;
    flex-shrink: 0;
    border-radius: 100px;
    background: #FFFDF9;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
}

.nav li {
    width: calc(50% - 16px);
    height: calc(100% - 16px);
    flex-shrink: 0;
    margin: 8px;
}

.nav li button {
    width: 100%;
    height: 100%;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav li:first-child button img {
    width: 41px;
    margin-right: 0;
}

.nav li button img {
    width: 26px;
    margin-right: 8px;
    mix-blend-mode: screen;
    display: none;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    color: #FFFDF9;
    background: linear-gradient(90deg, #FFBB5D -9.07%, #FF9626 107.21%);
}

.nav-pills .nav-link.active img {
    display: block;
}

/* ok-action-prize */
.ok-action-prize {
    padding: 80px;
    margin-top: 80px;
    border-radius: 20px;
    background: #FFFDF9;
}

.ok-action-prize .prize-title {
    width: 332px;
    margin: 0 auto;
}

.ok-action-prize .prize-content {
    padding-top: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 14px;
}

.ok-action-prize .prize-content img {
    width: 336px;
}

.rules-text {
    color: rgba(0, 0, 0, 0.55);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 40px;
}

/* ok-action-participate */
.ok-action-participate {
    margin-top: 130px;
    padding: 80px;
    border-radius: 20px;
    background: #FFFDF9;
}

.ok-action-participate .participate-title {
    width: 472px;
    margin: 0 auto;
}

.ok-action-participate .participate-content {
    padding-top: 80px;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.ok-action-participate .participate-speech-content {
    /* flex-direction: column; */
}

.ok-action-participate .participate-speech-content>img {
    width: 327px;
    opacity: 0.9;
    background-color: lightgray 50% / cover no-repeat;
    mix-blend-mode: luminosity;
}

.ok-action-participate .participate-speech-content>p {
    color: #A2A09C;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 25px;
    margin-top: 50px;
}

.ok-action-participate .participate-speech-content .participate-left>h6 {
    text-align: left;
    color: #1D1D1F;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 25px;
    margin-bottom: 46px;
}

.ok-action-participate .participate-speech-content .participate-left>h6 span {
    color: #FF9A2C;
}

.ok-action-participate .participate-speech-content .participate-left-step .step-item {
    align-items: center;
}

.ok-action-participate .participate-speech-content .participate-left-step .step-item-content p {
    margin-top: 0;
}

.participate-left {
    padding-right: 25px;
    width: 500px;
}

.participate-speech-left>h6 {
    text-align: left;
    margin-bottom: 46px;
    color: #1D1D1F;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 25px;
}

.participate-speech-left>h6 span {
    color: #FF9A2C;
}

.participate-left-step {
    margin-bottom: 74px;
}

.ok-action-participate .participate-speech-content .participate-left-step{
    margin-bottom: 60px;
}

.participate-speech-left .participate-left-step {
    margin-bottom: 60px;
}

.participate-left-step .step-item {
    display: flex;
    align-items: flex-start;
    margin-bottom: 45px;
}

.participate-speech-left .participate-left-step .step-item {
    align-items: center;
}

.participate-left-step .step-item:last-child {
    margin-bottom: 0;
}

.participate-left-step .step-item img {
    width: 26px;
    height: 26px;
}

.participate-left-step .step-item-content {
    padding-left: 15px;
    text-align: left;
}

.participate-left-step .step-item-content h6 {
    color: #1D1D1F;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.participate-left-step .step-item-content p {
    color: #404040;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    margin-top: 25px;
}

.participate-speech-left .participate-left-step .step-item-content p {
    margin-top: 0;
}

.participate-left-step .step-item-content p span {
    color: #FF9A2C;
}

.participate-left-btn {
    width: 173px;
    height: 47px;
    display: block;
    flex-shrink: 0;
    border-radius: 23.5px;
    background: linear-gradient(90deg, #FFBB5D -9.07%, #FF9626 107.21%);
    color: #FFFDF9;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-decoration: none;

    display: flex;
    align-items: center;
    justify-content: center;
}

.participate-right {
    width: 540px;
    position: relative;
    cursor: pointer;
    overflow: hidden;
    border-radius: 20px;
}

.participate-right img {
    transition: transform 0.3s;
    position: relative;
}

.participate-right-mask {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: #000;
    opacity: 0.25;
    z-index: 10;
    border-radius: 24px;
}

.modal-active {
    overflow: hidden;
}

#modal-container {
    position: fixed;
    display: table;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    transform: scale(0);
    z-index: 999;
    cursor: default;
}

#modal-container.one {
    transform: scaleY(.01) scaleX(0);
    animation: unfoldIn .3s cubic-bezier(0.165, 0.840, 0.440, 1.000) forwards;
}

#modal-container.one .video-pop-mask .modal {
    transform: scale(0);
    animation: zoomIn .2s .4s cubic-bezier(0.165, 0.840, 0.440, 1.000) forwards;
}

#modal-container.one.out {
    transform: scale(1);
    animation: unfoldOut .3s .3s cubic-bezier(0.165, 0.840, 0.440, 1.000) forwards;
}

#modal-container.one.out .video-pop-mask .modal {
    animation: zoomOut .3s cubic-bezier(0.165, 0.840, 0.440, 1.000) forwards;
}

#modal-container .video-pop-mask {
    display: table-cell;
    background: rgba(0, 0, 0, .25);
    text-align: center;
    vertical-align: middle;
}

#modal-container .video-pop-mask .modal {
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    border-radius: 3px;
    font-weight: 300;
    position: relative;
}

@keyframes unfoldIn {
    0% {
        transform: scaleY(.005) scaleX(0);
    }

    50% {
        transform: scaleY(.005) scaleX(1);
    }

    100% {
        transform: scaleY(1) scaleX(1);
    }
}

@keyframes unfoldOut {
    0% {
        transform: scaleY(1) scaleX(1);
    }

    50% {
        transform: scaleY(.005) scaleX(1);
    }

    100% {
        transform: scaleY(.005) scaleX(0);
    }
}

@keyframes zoomIn {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes zoomOut {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(0);
    }
}

.video-box {
    position: relative;
}

.video-pop-mask video {
    width: 405px;
    height: 720px;
    max-width: 100%;
    max-height: 100%;
}

.video-pop-close {
    position: absolute;
    top: -20px;
    right: -66px;
    width: 30px;
    height: 30px;
    cursor: pointer;
    z-index: 999;
    background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/close.png') no-repeat center center;
    background-size: cover;
}

.participate-right-play {
    position: absolute;
    width: 56px;
    height: 56px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/play.png') no-repeat center center;
    background-size: cover;
    z-index: 11;
}

/* ok-action-reference */
.ok-action-reference {
    padding: 80px;
    margin-top: 130px;
    border-radius: 20px;
    background: #FFFDF9;
}

.ok-action-reference .reference-title {
    width: 404px;
    margin: 0 auto;
}

.ok-action-reference .reference-content {
    padding-top: 80px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.ok-action-reference .reference-item {
    padding: 30px 20px;
    margin-bottom: 40px;
    border-radius: 20px;
    background: #FBF2E9;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.ok-action-reference .reference-item:last-child {
    margin-bottom: 0;
}

.ok-action-reference .reference-item img {
    width: 220px;
    height: 220px;
    border-radius: 20px;
}

.reference-item-content {
    padding-left: 40px;
}

.reference-item-content .reference-item-title {
    padding-bottom: 22px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
}

.reference-item-content .reference-item-title h6 {
    color: #000;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-left: 8px;
}

.reference-item-content ul {
    margin: 0;
    padding-left: 20px;
}

.reference-item-content ul li {
    margin-top: 12px;
    text-align: left;
}

.reference-item-content ul li::marker {
    font-size: 14px;
}

/* ok-action-winner */
.ok-action-winner {
    padding: 80px;
    margin-top: 130px;
    border-radius: 20px;
    background: #FFFDF9;
}

.ok-action-winner .winner-title {
    width: 272px;
    margin: 0 auto;
}

.ok-action-winner>p {
    color: #1E1E1E;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 50px;
}

.winner-content {
    padding-top: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 14px;
}

.winner-content .winner-item {
    width: 336px;
    height: 334px;
    flex-shrink: 0;
    margin-top: 20px;
    border-radius: 20px;
    background: #FBF2E9;
}

.winner-content .winner-item:nth-child(-n+4) {
    background: #EDF3F8;
}

.winner-content .winner-item:first-child {
    background: #FFF5E2;
}

.winner-content .winner-item img {
    width: 45px;
    height: 45px;
    margin-top: 54px;
}

.winner-content .winner-item>img {
    width: 130px;
    height: 130px;
    margin-top: -20px;
}

.winner-content .winner-item h6 {
    color: #1D1D1F;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 24px;
}

.winner-content .winner-item p {
    color: #1D1D1F;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-top: 15px;
}

@media screen and (max-width: 767px) {

    .is-pc {
        display: none;
    }

    .is-pe {
        display: block;
    }

    .ok-action {
        padding-bottom: 115px;
    }

    .large-width,
    .medium-width {
        width: 100%;
    }

    /* banner */
    .ok-action-banner {
        height: 450px;
        background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/banner-pe.jpg') no-repeat center center;
        background-size: cover;
    }

    .ok-action-banner h2 {
        font-size: 20px;
        padding: 0 20px;
    }

    .ok-action-banner p {
        font-size: 12px;
        line-height: 14px;
        margin-top: 25px;
        padding: 0 20px 40px 20px;
    }

    /* progress */
    .ok-action-progress {
        padding-top: 50px;
        padding-bottom: 0;
    }

    .ok-action-progress>div {
        justify-content: center;
        align-items: flex-start;
        flex-direction: column;
    }

    .ok-action-progress .progress-item {
        width: 100%;
        padding-left: 56px;
        padding-bottom: 50px;
        display: flex;
        align-items: center;
        text-align: left;
    }

    .ok-action-progress .progress-item::after {
        left: 88px;
        top: calc(100% - 47px);
        width: 2px;
        height: 44px;
        background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/line-start-pe.png') no-repeat center center;
        background-size: cover;
    }

    .ok-action-progress .progress-item:nth-child(1)::after {
        background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/line-ing-pe.png') no-repeat center center;
        background-size: cover;
    }

    .ok-action-progress .progress-item:nth-child(3)::after {
        background: url('https://hollyland.oss-us-east-1.aliyuncs.com/official-website/landing/action-6301/line-end-pe.png') no-repeat center center;
        background-size: cover;
    }

    .ok-action-progress .progress-item img {
        width: 65px;
        height: 65px;
    }

    .ok-action-progress .progress-item-content {
        position: static;
        align-items: flex-start;
        padding-left: 20px;
    }

    .ok-action-progress .progress-item-content h6 {
        font-size: 16px;
    }

    .ok-action-progress .progress-item-content p {
        font-size: 12px;
        margin-top: 10px;
    }

    /* ok-action-content */
    .ok-action-content {
        padding-top: 15px;
    }

    .ok-action-content .nav {
        width: calc(100% - 40px);
        height: 40px;
    }

    .nav li {
        width: calc(50% - 8px);
        height: calc(100% - 8px);
        margin: 4px;
    }

    .nav li button {
        font-size: 12px;
    }

    .nav li:first-child button img {
        width: 20px;
    }

    .nav li button img {
        width: 14px;
        margin-right: 4px;
    }

    /* ok-action-prize */
    .ok-action-prize {
        width: calc(100% - 40px);
        padding: 40px;
        margin: 25px auto 0;
        border-radius: 10px;
    }

    .ok-action-prize .prize-title {
        width: 166px;
    }

    .ok-action-prize .prize-content {
        padding-top: 35px;
        flex-direction: column;
        gap: 20px;
    }

    .ok-action-prize .prize-content img {
        width: 204px;
    }

    .rules-text {
        font-size: 10px;
        margin-top: 20px;
        padding: 0 37.5px;
    }

    /* ok-action-participate */
    .ok-action-participate {
        width: calc(100% - 40px);
        padding: 40px 16px 35px;
        margin: 65px auto 0;
        border-radius: 10px;
    }

    .ok-action-participate .participate-title {
        width: 236px;
    }

    .ok-action-participate .participate-content {
        padding-top: 35px;
        flex-direction: column;
    }

    .ok-action-participate .participate-speech-content .participate-left-step{
        margin-bottom: 30px;
    }

    .ok-action-participate .participate-speech-content>img {
        width: 195px;
    }

    .ok-action-participate .participate-speech-content>p {
        font-size: 14px;
        line-height: 18px;
        margin-top: 30px;
        padding: 0 15px;
    }

    .ok-action-participate .participate-speech-content .participate-left>h6 {
        font-size: 14px;
        line-height: 18px;
        margin-bottom: 35px;
        line-height: 17px;
    }

    .participate-left {
        padding: 0 6px;
        width: 100%;
    }

    .participate-speech-left>h6 {
        font-size: 14px;
        line-height: 18px;
        margin-bottom: 36px;
    }

    .participate-left-step {
        margin-bottom: 30px;
    }

    .participate-speech-left .participate-left-step {
        margin-bottom: 30px;
    }

    .participate-left-step .step-item {
        margin-bottom: 30px;
    }

    .participate-left-step .step-item img {
        width: 16px;
        height: 16px;
        margin-top: 2px;
    }

    .participate-left-step .step-item-content {
        padding-left: 12px;
    }

    .participate-left-step .step-item-content h6 {
        font-size: 14px;
    }

    .participate-left-step .step-item-content p {
        font-size: 12px;
        line-height: 15px;
        margin-top: 15px;
    }

    .participate-left-btn {
        width: 114px;
        height: 32px;
        border-radius: 15.4px;
        font-size: 10px;
        margin: 0 auto 28px;
    }

    .participate-right {
        width: 100%;
        border-radius: 10px;
    }

    .participate-right-mask {
        border-radius: 10px;
    }

    .participate-right-play {
        width: 50px;
        height: 50px;
    }

    /* ok-action-reference */
    .ok-action-reference {
        width: calc(100% - 40px);
        padding: 40px 16px;
        margin: 65px auto 0;
        border-radius: 10px;
    }

    .ok-action-reference .reference-title {
        width: 202px;
    }

    .ok-action-reference .reference-content {
        padding-top: 35px;
    }

    .ok-action-reference .reference-item {
        padding: 25px 15px;
        margin-bottom: 20px;
        border-radius: 10px;
        flex-direction: column;
    }

    .ok-action-reference .reference-item img {
        width: 100%;
        height: auto;
        border-radius: 10px;
    }

    .reference-item-content {
        padding-left: 0;
        padding-top: 20px;
        padding-bottom: 15px;
    }

    .reference-item-content .reference-item-title {
        padding-bottom: 12.5px;
    }

    .reference-item-content .reference-item-title svg {
        width: 16px;
        height: 16px;
    }

    .reference-item-content .reference-item-title h6 {
        font-size: 12px;
        margin-left: 5px;
    }

    .reference-item-content ul li {
        font-size: 12px;
        line-height: 15px;
        margin-top: 12px;
    }

    .reference-item-content ul li::marker {
        font-size: 10px;
    }

    /* ok-action-winner */
    .ok-action-winner {
        width: calc(100% - 40px);
        padding: 40px 16px;
        margin: 65px auto 0;
        border-radius: 10px;
    }

    .ok-action-winner .winner-title {
        width: 136px;
    }

    .ok-action-winner>p {
        font-size: 12px;
        margin-top: 25px;
    }

    .winner-content {
        padding-top: 40px;
        gap: 20px;
        justify-content: center;
    }

    .winner-content .winner-item {
        width: 204px;
        height: 202px;
        margin-top: 12px;
        border-radius: 10px;
    }

    .winner-content .winner-item img {
        width: 27px;
        height: 27px;
        margin-top: 32px;
    }

    .winner-content .winner-item>img {
        width: 64px;
        height: 64px;
        margin-top: -12px;
    }

    .winner-content .winner-item h6 {
        font-size: 14px;
        margin-top: 15px;
    }

    .winner-content .winner-item p {
        font-size: 12px;
        margin-top: 15px;
    }

    .video-pop-mask video {
        width: 80%;
        margin: 0 auto;
        height: 100%;
    }

    .video-pop-close {
        top: -20px;
        right: 5px;
        z-index: 999;
    }
}